<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta name="keywords" content="Markov decision process, Toolbox, Scilab">
   <title> mdp_span description </title>
</head>
<body bgcolor="#FFFFFF">

<center><table BORDER=0 CELLSPACING=0 CELLPADDING=0 COLS=2 WIDTH="100%" BGCOLOR="#FFFFCC" NOSAVE >
<tr BGCOLOR="#FFFFCC" NOSAVE>
<td BGCOLOR="#FFFFCC" NOSAVE><b>MDP Toolbox for Scilab</b></td>
<td><div align=right><a href="DOCUMENTATION.html"><img SRC="arrow.gif" height=23 width=26></a></div></td>
</tr>
</table></center>

<p><b><font color="#FF0000"><font size=+2>mdp_span</font></font></b>
<font color="#000000"><p>Computes the span of a vector.</font>


<p><b><font color="#3366FF"><font size=+1>Syntax</font></font></b>
<font color="#000000"><p>sp = span(W)<br>
</font>


<p><b><font color="#3366FF"><font size=+1>Description</font></font></b>
<font color="#000000">
<p>mdp_span computes the span of the W vector :<br>
&nbsp&nbsp&nbsp&nbsp max W(s) - min W(s)<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp s  &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp        s
</font>


<p><b><font color="#3366FF"><font size=+1>Argument</font></font></b>
<font color="#000000">
<ul><li><b>W : </b>a vector.</li></ul>
</font>

<p><b><font color="#3366FF"><font size=+1>Evaluation</font></font></b>
<font color="#000000">
<ul><li><b>sp :  </b>the value of the span of the W vector.</li></ul>
</font>



<p><b><font color="#3366FF"><font size=+1>Example</font></font></b><br>
<font color="#000000">
-> W = [1; 2; 3; 4];<br><br>

-> sp = mdp_span(W)<br>
sp =<br>
&nbsp&nbsp     3<br>
</font>


<br><br>
<table BORDER=0 CELLSPACING=0 CELLPADDING=0 COLS=2 WIDTH="100%" BGCOLOR="#FFFFCC" NOSAVE >
<tr NOSAVE>
<td NOSAVE><b>MDP Toolbox for Scilab</b></td>
<td><div align=right><a href="DOCUMENTATION.html"><img SRC="arrow.gif" height=23 width=26></a></div></td>
</tr>
</table>

<br>
<hr WIDTH="100%">
<font size=-1>MDPtoolbox/documentation/mdp_span.html
<br>Page created on July 31, 2001. Last update on August 31, 2009.</font>
</body>
</html>
